#include <string.h>
#include <stdio.h>
#include "Image.hh"
#include "morfo.hh"
#include "tpmorpho3.hh"


void TP3_Version1(Image<int>& p,int seuil,int parametre) {
  int index=0;
  int* PIX=p.PI();
  int H=p.PL();
  int W=p.PW();
  
  for (int j=0;j<H;j++)
    for (int i=0;i<W;i++) {
      if ((i<=parametre)) {
	if (p.X(i,j)>=seuil)
	  PIX[index]=255;
	else PIX[index]=0;
      }
      index++;
    }
}

void TP3_Version2(Image<int>& p,int seuil,int parametre) {
  int index=0;
  int* PIX=p.PI();
  int H=p.PL();
  int W=p.PW();
  
  for (int j=0;j<H;j++)
    for (int i=0;i<W;i++) {
      if ((j<=parametre)) {
	if (p.X(i,j)>=seuil)
	  PIX[index]=255;
	else PIX[index]=0;
      }
      index++;
    }
}

void TP3_Version3(Image<int>& p,int seuil,int parametre) {
  int index=0;
  int* PIX=p.PI();
  int H=p.PL();
  int W=p.PW();
  
  for (int j=0;j<H;j++)
    for (int i=0;i<W;i++) {
      if ((i+j<=2*parametre)) {
	if (p.X(i,j)>=seuil)
	  PIX[index]=255;
	else PIX[index]=0;
      }
      index++;
    }
}
