proc com_base {nom} {
global p 
global q

if {$nom == "non"} {
    CMD non $p
} else {
    CMD $nom $p $q
}
}

proc lit_masque {} {
global v

  for {set j -4} {$j <= 4} {incr j} {
    for {set i -4} {$i <= 4} {incr i} {
       CMD setvaluemasque $i $j $v($i,$j)
           }
    }
}

proc Espejo_x {} {
global v

    for {set i -4} {$i <= 4} {incr i} {
	for {set j -4} {$j < 0} {incr j} {
	    set v($i,[expr $j * -1]) $v($i,$j)
	    update_but $i [expr $j * -1]
	}
}
}

proc Espejo_y {} {
global v

    for {set i -4} {$i < 0} {incr i} {
	for {set j -4} {$j <= 4} {incr j} {
	    set v([expr $i * -1],$j) $v($i,$j)
	    update_but [expr $i * -1] $j
    }
}
}

proc sym0x {} {
global v

    for {set i -4} {$i <= 4} {incr i} {
	for {set j -4} {$j < 0} {incr j} {
	    set tp $v($i,$j)
	    set v($i,$j) $v($i,[expr $j * -1])
	    update_but $i $j
	    set v($i,[expr $j * -1]) $tp 
	    update_but $i [expr $j * -1]
	}
    }
}

proc symOy {} {
global v

    for {set i -4} {$i < 0} {incr i} {
	for {set j -4} {$j <= 4} {incr j} {
	    set tp $v($i,$j)
	    set v($i,$j) $v([expr $i * -1],$j) 
	    update_but $i $j
	    set v([expr $i * -1],$j) $tp
	    update_but [expr $i * -1] $j
	}
    }
}

proc nettoie_elts {} {
global v

for {set i -4} {$i <= 4} {incr i} {
    for {set j -4} {$j <= 4} {incr j} {
	set v($i,$j) 0
	update_but $i $j
    }
}
}

proc setvalue {x y val} {
global v

    if {($v($x,$y)!=$val)} {set v($x,$y) $val} else {set v($x,$y) 0}
    update_but $x $y
}

proc update_but {x y} {
global v

    switch $v($x,$y) {
	0 {if {($x==0)||($y==0)} {set coul red} else {set coul orange}}
	1 {set coul white}
	2 {set coul black}
    }
    .b$x$y configure -bg $coul -activebackground $coul
}
    
proc app_morpho {action} {
global p

lit_masque 
CMD morpho $p $action
}

proc reconstruit {} {
global p
global q
global cx

    CMD reconstruit2 $p $q $cx
}

proc seuil {} {
global p
global thr

CMD seuil $p $thr(th)
}

proc fctdist {nom} {
global p
    CMD fctdist $p $nom
}


proc rec_geo {con} {
global p
global q

    CMD reconstruit $p $q $con
}

proc erode1 {dist} {
global nbit
global p

    CMD erode1 $p $dist $nbit

}

proc erode2 {dist} {
global nbit
global p

    CMD erode2 $p $dist $nbit

}

proc eroult {dist} {
global p

    CMD eroult $p $dist

}

proc ptsimples {} {
global p

  CMD ptsimples $p

}

proc homotopic_kernel {} {
global p
global nbit

  CMD homoker $p $nbit

}

proc max_locaux {cx} {
global p

  CMD maxloc $p $cx

}

proc skel_anchor {} {
global p
global q
global nbit

  CMD skelanchor $p $q $nbit

}

proc tp3 {version} {
    global p
    global nbit
    global thr
    
    CMD tp3_version$version $p $thr(th) $nbit
}